[v10.6]
1=Algoritmi di scansione migliorati per rilevare e pulire più avanzi
2=Algoritmi di aggiornamento ottimizzati per ottenere in modo più rapido gli aggiornamenti dei programmi installati
3=Traduzioni di più lingue migliorate
4=Risolti tutti i bug noti

[v10.5]
1=Monitor Installazioni ottimizzato per un monitoraggio più completo e accurato
2=Integrità Software migliorata per rilevare e risolvere più problemi dei software
3=Database di Rimozione Programmi Fastidiosi ingrandito per eliminare 130 programmi ostinati in più
4=Database espanso per eliminare il 22% in più di plugin dannosi e pubblicitari per una navigazione più rapida e sicura
5=Corretti tutti i bug noti

[v10.4]
1=Algoritmo di scansione degli avanzi migliorato per trovare e pulire più avanzi
2=Database ingrandito per rimuovere altri 350 programmi ostinati
3=Rimozione Programmi Fastidiosi migliorata per rilevare in modo più accurato i programmi con problemi di disinstallazione
4=Apportati miglioramenti all'interfaccia utente
5=Risolti tutti i bug noti

[v10.3]
1=Migliorata la scansione degli avanzi per pulire più file e voci di registro
2=Migliorato il motore di disinstallazione per rimuovere programmi di grandi dimensioni in modo più completo
3=Database ingrandito per rimuovere altri 210 programmi ostinati
4=Aggiunto il supporto per ingrandire la finestra dei dettagli della Cronologia di Disinstallazione e del Registro di Installazione
5=Risolto il problema di riconfigurazione delle app in Windows 10
6=Risolti tutti i bug noti

[v10.2]
1=Rimozione Programmi Fastidiosi migliorata per rilevare più problemi di disinstallazione dei programmi d’installazione Microsoft
2=Database ingrandito per rimuovere altri 240 programmi ostinati
3=Algoritmi di scansione degli avanzi migliorati per cercare altri avanzi dopo la disinstallazione dei programmi
4=Monitor Installazioni ottimizzato per un registro d’installazione più completo durante il monitoraggio degli aggiornamenti dei programmi
5=Interfaccia di Software Updater migliorata per offrire una migliore esperienza utente
6=Risolti tutti i bug noti

[v10.1]
1=Nuova Rimozione Programmi Ostinati per rimuovere i programmi ostinati molto più facilmente
2=Database ampliato per rimuovere più di 200 programmi ostinati
3=Personalizza se visualizzare l'opzione Disinstallazione Potente nel menu contestuale di Windows
4=Personalizza se visualizzare i componenti del tempo di esecuzione del sistema nell'elenco dei programmi
5=Risolto il problema occasionale del rilevamento impreciso delle dimensioni del programma e del monitoraggio instabile dell'installazione di programmi di grandi dimensioni
6=Risolti tutti i bug noti

[v10.0]
1=Aumentata la velocità di disinstallazione del 50%
2=Perfezionato l’algoritmo di scansione per scansionare il 30% in più dei residui di disinstallazione
3=Migliorata Integrità Software per supportare la nuova funzionalità di blocco delle richieste di notifica da parte di altri siti per non disturbarti durante il tuo lavoro
4=Rafforzato Monitor Installazioni per monitorare l'installazione di più programmi e supportare il monitoraggio dei servizi di sistema, le attività pianificate e la registrazione DLL
5=Ottimizzato l’algoritmo di rilevamento del programma per un rilevamento più accurato dei Programmi Usati Raramente e dei Bundleware 
6=Risolte le rimanenti richieste occasionali non corrette visualizzate dopo l’aggiornamento di alcuni programmi
7=Aggiunto il supporto per la disinstallazione di oltre 40 programmi ostinati come MPC-HC, SpyHunter5, Avast Antivirus, Rockstar Games, IntelliJ IDEA e molti altri
8=Supporta la nuova funzionalità di aggiornamento delle versioni multilingue di alcuni programmi popolari, come Firefox, WinRAR e Mozilla Thunderbird
9=Supporta la nuova funzionalità di rimozione plugin del nuovo Microsoft Edge (Chromium)
10=Migliore interfaccia utente per un‘esperienza più user-friendly
11=Due aspetti: Scuro e Chiaro
12=Localizzazione: 38 lingue